Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## structure
Class PhiPsiCalculation

    java.lang.Object
      structure.PhiPsiCalculation

    public class PhiPsiCalculation

extends Object

a demo showing how to calculate Phi and Psi angles for a protein structure. also shows how to access the underlying data

Author:
  Andreas Prlic

Constructor Summary
`PhiPsiCalculation()`

Method Summary
`void` | `calcPhiPsi(org.biojava.bio.structure.Structure structure)` calculate Phi and Psi angles for the AminoAcids in the first chain of a structure
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PhiPsiCalculation

    public PhiPsiCalculation()

Method Detail

### main

    public static void main(String[] args)

### calcPhiPsi

    public void calcPhiPsi(org.biojava.bio.structure.Structure structure)

  calculate Phi and Psi angles for the AminoAcids in the first chain of a structure

  Parameters:
    `structure` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD